# Don't require all the GNU mandated files
# Remove comment from no-dependencies for distributions compatable with
# traditional 'make'
AUTOMAKE_OPTIONS = 1.2 foreign # no-dependencies

lib_LTLIBRARIES = libminpack.la

VERSION_CURRENT=@VERSION_CURRENT@
VERSION_REVISION=@VERSION_REVISION@
VERSION_AGE=@VERSION_AGE@

libminpack_la_LDFLAGS = -version-info $(VERSION_CURRENT):$(VERSION_REVISION):$(VERSION_AGE) -D_REENTRANT,Wl,-z,defs

# Library sources 
libminpack_la_SOURCES = chkder.f dogleg.f dpmpar.f enorm.f fdjac1.f	\
  fdjac2.f hybrd.f hybrd1.f hybrj.f hybrj1.f lmder.f lmder1.f lmdif.f	\
  lmdif1.f lmpar.f lmstr.f lmstr1.f qform.f qrfac.f qrsolv.f r1mpyq.f	\
  r1updt.f rwupdt.f

# Source files not used for Unix library but which are distributed
#EXTRA_libminpack_la_SOURCES = mac.c nt.c vms.c

# Headers which are installed
include_HEADERS = minpack.h

# Headers which are not installed but which are distributed
#noinst_HEADERS = Colorlist.h animate.h display.h formats.h logo.h mac.h \
#	 nt.h pict.h version.h vms.h

# Additional files to distribute
#EXTRA_DIST = Imakefile Make.com

# Ensure that configuration header is not distributed
#dist-hook:
#	 $(RM) $(distdir)/config.h

INCLUDES = #$(X_CFLAGS)

# Since we are building a library, no need for LIBS
#LIBS =
